=== modified file 'configure.in'
--- configure.in	2010-05-27 16:10:44 +0000
+++ configure.in	2010-06-01 11:44:49 +0000
@@ -81,6 +81,11 @@
 AC_PATH_PROG([VALA_API_GEN], [vapigen])
 AC_PATH_PROG([GLIB_GENMARSHAL], [glib-genmarshal])
 
+###########################
+# GTK-DOC
+###########################
+GTK_DOC_CHECK(1.0)
+
 
 #
 # Gnome/GTK checks
@@ -108,6 +113,9 @@
 tests/libbamf/Makefile
 data/Makefile
 module/Makefile
+doc/Makefile
+doc/reference/Makefile
+doc/reference/libbamf/Makefile
 ])
 
 cat <<EOF

=== added directory 'doc'
=== added file 'doc/Makefile.am'
--- doc/Makefile.am	1970-01-01 00:00:00 +0000
+++ doc/Makefile.am	2010-06-01 11:44:49 +0000
@@ -0,0 +1,1 @@
+SUBDIRS = reference

=== added directory 'doc/reference'
=== added file 'doc/reference/Makefile.am'
--- doc/reference/Makefile.am	1970-01-01 00:00:00 +0000
+++ doc/reference/Makefile.am	2010-06-01 11:44:49 +0000
@@ -0,0 +1,1 @@
+SUBDIRS = libbamf

=== added directory 'doc/reference/libbamf'
=== added file 'doc/reference/libbamf/Makefile.am'
--- doc/reference/libbamf/Makefile.am	1970-01-01 00:00:00 +0000
+++ doc/reference/libbamf/Makefile.am	2010-06-01 11:44:49 +0000
@@ -0,0 +1,57 @@
+## Process this file with automake to produce Makefile.in
+
+# automake requirements
+AUTOMAKE_OPTIONS = 1.7
+
+# The name of the module
+DOC_MODULE=libbamf
+
+# The top-level SGML file. You can change this if you want to.
+DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.sgml
+
+# The directory containing the source code. Relative to $(srcdir).
+DOC_SOURCE_DIR = ../../../lib/libbamf
+
+# Extra options to pass to gtkdoc-scangobj. Not normally needed.
+SCANGOBJ_OPTIONS =
+
+# Extra options to supply to gtkdoc-scan.
+# Fx --rebuild-types --rebuild-sections
+SCAN_OPTIONS =
+
+# Extra options to supply to gtkdoc-mkdb.
+MKDB_OPTIONS = --sgml-mode --output-format=xml --ignore-files=trio
+
+# Extra options to supply to gtkdoc-fixref. Not normally needed.
+FIXXREF_OPTIONS =
+
+# Used for dependencies. The docs will be rebuilt if any of these change.
+HFILE_GLOB = $(top_srcdir)/lib/libbamf/bamf-*.h
+CFILE_GLOB = $(top_srcdir)/lib/libbamf/bamf-*.c
+
+# Header files to ignore when scanning.
+IGNORE_HFILES = \
+  bamf-marshal.h \
+  bamf-tab-source-glue.h
+
+# Images to copy into HTML directory.
+HTML_IMAGES =
+
+# Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
+content_files = 
+
+# CFLAGS and LDFLAGS for compiling gtkdoc-scangobj with your library.
+INCLUDES= \
+  -I$(top_srcdir)/src   \
+  $(ZEITGEIST_CFLAGS)
+
+GTKDOC_LIBS = \
+  $(ZEITGEIST_LIBS) \
+  $(top_builddir)/src/libzeitgeist-1.0.la
+
+# This includes the standard gtk-doc make rules, copied by gtkdocize.
+include $(top_srcdir)/gtk-doc.make
+
+# Other files to distribute
+# e.g. EXTRA_DIST += version.xml.in
+EXTRA_DIST += 

